Bug 146523 - Drop-down fields in protected section can be edited by double click
Summary: Drop-down fields in protected section can be edited by double click
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: Section Form-Controls
  Show dependency treegraph
 
Reported: 2022-01-02 14:43 UTC by Hossein
Modified: 2022-05-02 09:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hossein 2022-01-02 14:43:41 UTC
Description:
Protected drop-down fields can be edited by double click, although they shouldn't. The same action is not possible when opening the file in MS Word.

Steps to Reproduce:
1. Open attachment 149778 [details] from bug 123912. It contains a drop-down protected form field.
2. Double click on the drop-down field. "Drop-down Form Field" window appears.
3. Edit items in the list.
4. Click OK.

Actual Results:
The list is changed.

Expected Results:
It should not be possible to edit the list.


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproducible in:

Version: 6.4.0.1
Build ID: 1b6477b31f0334bd8620a96f0aeeb449b587be9f
CPU threads: 8; OS: Linux 5.11; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 7.2.4.1 / LibreOffice Community
Build ID: 27d75539669ac387bb498e35313b970b7fe9c4f9
CPU threads: 8; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 818123e878f2ca6f408fc4e9563beb813bccd64a
CPU threads: 8; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Dieter 2022-01-04 16:51:15 UTC
I confirm it with

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9c95415de877af1430ab5b7123e11dedd0ea622c
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

To be precise: Section is protected, not drop-down field itself (as fas as I can see)
Comment 2 Commit Notification 2022-03-28 10:55:14 UTC
Hossein committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ff0783ce6c74178ae44d6b5e402b0feecff918a9

tdf#146523 Fix editable protected drop-down fields

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Dieter 2022-05-02 09:33:53 UTC
VERIFIED with

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 83d0f2eebae41d431d9a5bfd1a918523977752d0
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Hossein, thank you for fixing it!